DEVRES_ADD(9)

NAME
devres_add - Register device resource

SYNOPSIS

void devres_add(struct device * dev, void * res);

ARGUMENTS

dev
    Device to add resource to

res
    Resource to register

DESCRIPTION

Register devres res to dev. res should have been allocated using devres_alloc. On driver detach, the associated release function will be invoked and devres will be freed automatically.

COPYRIGHT